API ReferenceClients
Retrieve clients
Analytics Events
TENANT_CLIENT_RETRIEVE_LIST_STARTTENANT_CLIENT_RETRIEVE_LIST_SUCCESSTENANT_CLIENT_RETRIEVE_LIST_FAIL
GET
/v1/tenants/{tenantId}/clientsRetrieves a list of clients authorized to interact with the requested tenant.
Analytic events
- TENANT_CLIENT_RETRIEVE_LIST_START
- TENANT_CLIENT_RETRIEVE_LIST_SUCCESS
- TENANT_CLIENT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Unique ID of the tenant to retrieve clients for.
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
text/plain
application/json
curl -X GET "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients"{ "data": [ { "clientId": "stringstringstringstringstringst", "name": "string", "permissions": [ "string" ], "roles": [ "admin" ] } ], "nextCursor": "string"}How would you rate this page?
Create a client POST
Creates a new client for the requested tenant. ### **Analytic events** * TENANT_CLIENT_CREATE_START * TENANT_CLIENT_CREATE_SUCCESS * TENANT_CLIENT_CREATE_FAIL
Delete a client DELETE
Deletes an existing client of the specified tenant. ### **Analytic events** * TENANT_CLIENT_DELETE_START * TENANT_CLIENT_DELETE_SUCCESS * TENANT_CLIENT_DELETE_FAIL